<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="q41bSolicitudManagerEJB.q41bSolicitudManagerBean_w1bua0_EOImpl"
>
<cluster
    clusterable="true"
    load-algorithm="random"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="obtenerListado(int,int)"
>
</method>
<method
    name="obtenerListadoAdmitidos(int,int)"
>
</method>
<method
    name="obtenerListadoPerfilAdmitidos(int,int)"
>
</method>
<method
    name="obtenerListadoExcluidos(int,int)"
>
</method>
<method
    name="obtenerMotivosRechazoDisponibles(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPKey,java.lang.String)"
>
</method>
<method
    name="obtenerMotivosRechazo(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="obtenerAdaptacionPruebas(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="recuperar(q41bObjectValue.q41bSolicitudes.q41bSolicitudPKey)"
>
</method>
<method
    name="validarCamposNoErroneos(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent)"
>
</method>
<method
    name="validarDNI(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent)"
>
</method>
<method
    name="validarDocumento(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent)"
>
</method>
<method
    name="validarNumeroSolicitud(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent)"
>
</method>
<method
    name="existeSolicitud(q41bObjectValue.q41bSolicitudes.q41bSolicitudPKey)"
>
</method>
<method
    name="actualizarNumeroSolicitud()"
>
</method>
<method
    name="tieneSolicitudes(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent)"
>
</method>
<method
    name="tieneHijos(q41bObjectValue.q41bSolicitudes.q41bSolicitudPKey)"
>
</method>
<method
    name="insertar(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="modificar(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="borrar(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="cambiarNumeroSolicitud(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="cambiarConvocatoria(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String,java.lang.String)"
>
</method>
<method
    name="marcaPagoOnline(java.lang.String)"
>
</method>
<method
    name="cargarFicheroPagos(q41bObjectValue.q41bProcesosBatch.q41bProcCargarPagos.q41bFichero)"
>
</method>
<method
    name="getRelacionReclamaciones(int,int,long,java.lang.String)"
>
</method>
<method
    name="getReclamacion(int,int,long,int)"
>
</method>
<method
    name="borrarReclamacion(int,int,long,int)"
>
</method>
<method
    name="actualizarReclamacion(int,int,long,int,q41bObjectValue.q41bReclamaciones.q41bRelacionReclamaciones)"
>
</method>
<method
    name="insertarReclamacion(int,int,long,q41bObjectValue.q41bReclamaciones.q41bRelacionReclamaciones)"
>
</method>
<method
    name="obtenerVariablesSolicitud(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="getRegistroUnificado(java.lang.String,java.lang.String)"
>
</method>
<method
    name="getPerfilRegistroUnificado(java.lang.String)"
>
</method>
<method
    name="recuperaDocumentoExento(java.lang.String,javax.servlet.http.HttpServletResponse)"
>
</method>
<method
    name="guardarRevisarTitulacion(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,java.lang.String)"
>
</method>
<method
    name="excluirSolicitudesSinPerfil(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent,java.lang.String)"
>
</method>
<method
    name="recuperaDocumentoHomo(java.lang.String,javax.servlet.http.HttpServletResponse)"
>
</method>
<method
    name="obtenerListadoNacionalidad(int,int)"
>
</method>
<method
    name="admitirConcurso(java.lang.String,int)"
>
</method>
<method
    name="getEJBHome()"
>
</method>
<method
    name="getPrimaryKey()"
>
</method>
<method
    name="remove()"
>
</method>
<method
    name="getHandle()"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
